﻿    $Error.Clear | Out-Null
    Write-Host
    Write-Host
    Write-Host
    Write-Host
    Write-Host
    Write-Host
    Write-Host
    Write-Host
    Write-Host 'Original and comments: http://vam.in.ua/index.php/it/34-english-language/248-english-lingualeo-fetch-words.html' -ForegroundColor DarkCyan
    Write-Host 'Feedback: http://vam.in.ua/index.php/contacts/2-admins/1-aleksey.html' -ForegroundColor DarkCyan
    Write-Host


$html = Get-Content -LiteralPath C:\english\LinguaLeo.html -Encoding UTF8

if ($html.Length -eq 0) {break}

Write-Progress -Activity "Parsing HTML" -PercentComplete 0 -Status "Please wait..."

$html = [regex]::Match($html, '(?<=\<table id="word-table").+(?=\<\/table\>)')

Write-Progress -Activity "Parsing HTML" -PercentComplete 33 -Status "Please wait..."

[array]$eng = [regex]::Matches($html, '(?<=\<b\>).*?(?=\</b\>)') | %{$_.Value}

Write-Progress -Activity "Parsing HTML" -PercentComplete 66 -Status "Please wait..."

[array]$rus = [regex]::Matches($html, '(?<=\<td class="tran"\>).*?(?=\</td\>)') | %{$_.Value}

Write-Progress -Activity "Parsing HTML" -PercentComplete 100 -Status "Please wait..."


[array]$result = @()

for ($i = 0; $i -lt $eng.Count; $i++)
{
    if (($eng -ne '') -and ($eng -ne $null) -and ($rus -ne '') -and ($rus -ne $null))
    {
        $result += $eng[$i] + "`t" + $rus[$i]

        Write-Progress -Activity "Fetching words" -PercentComplete (100*$i/($eng.Count - 1)) -Status "Please wait..."
    }
}

Out-File -FilePath C:\english\base.txt -Force -InputObject $result -Encoding default
# SIG # Begin signature block
# MIIQJAYJKoZIhvcNAQcCoIIQFTCCEBECAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUYLU9KnfqX/gpBo4O4PEjVEh0
# cjqggg2CMIIFqDCCBJCgAwIBAgIKYQjZkAADAAAADDANBgkqhkiG9w0BAQUFADBf
# MQswCQYDVQQGEwJVQTEPMA0GA1UEChMGS1AgR0lDMRAwDgYDVQQLEwdDaXR5bmV0
# MS0wKwYDVQQDEyRDaXR5bmV0IFJvb3QgQ2VydGlmaWNhdGlvbiBBdXRob3JpdHkw
# HhcNMTMxMTIxMTExMzUwWhcNMjMxMTIxMTEyMzUwWjBdMQswCQYDVQQGEwJVQTEP
# MA0GA1UEChMGS1AgR0lDMRwwGgYDVQQLExNJbmZvcm1hdGlvbiBTeXN0ZW1zMR8w
# HQYDVQQDExZDaXR5bmV0IElzc3VpbmcgU3ViQ0ExMIIBIjANBgkqhkiG9w0BAQEF
# AAOCAQ8AMIIBCgKCAQEAkHPx2yWEKDjZ+2RmoZY1WSTT3YRO2BQ2Er7x+Fxm0Ngx
# 1A5Kx/sJbQvShXSRIgsS2E9olzYPB6x+n1WLVadmuWvXP8+++YamSR8XbejYSHVK
# 1stGHyDyDh6FAsfhZFYF949rXfJhA+2bSCR8mTI9H6jg64fRPhOjoKy9SpchAbig
# rsPAPIx5yP2zhranbZ4UaK587nsk99qn5ctXiwEj5jtCgWk31Tmc8LAfMkQoEDfT
# ofeNfClP+YxJUg9PAfowSTcj+U4+6EjWxaheQvcVFMfo/eno4vw7YTABjZ4js6Ti
# a5WlR0/IkrCsQD3Y71eycyxQgE4msSGy2mzBRxZmdQIDAQABo4ICZjCCAmIwDwYD
# VR0TAQH/BAUwAwEB/zAdBgNVHQ4EFgQUuapKg2DsRrEg9vKdH/UtczfOn2AwCwYD
# VR0PBAQDAgGGMBAGCSsGAQQBgjcVAQQDAgEDMCMGCSsGAQQBgjcVAgQWBBQhslK7
# x8zJihEqQAfHom0FvX7P0zBTBgNVHSAETDBKMEgGBFUdIAAwQDA+BggrBgEFBQcC
# ARYyaHR0cDovL2Nhc2Vydi5jaXR5bmV0LmtoYXJrb3YudWEvcGtpL3BvbGljaWVz
# Lmh0bWwwGQYJKwYBBAGCNxQCBAweCgBTAHUAYgBDAEEwHwYDVR0jBBgwFoAUPhrb
# 3Kv3R3TH6DOlfCESUiKZrdEwgYUGA1UdHwR+MHwweqB4oHaGOWh0dHA6Ly9yZW1v
# dGUuY2l0eW5ldC5raGFya292LnVhL2NybC9DaXR5bmV0Um9vdENBKDIpLmNybIY5
# aHR0cDovL2Nhc2Vydi5jaXR5bmV0LmtoYXJrb3YudWEvcGtpL0NpdHluZXRSb290
# Q0EoMikuY3JsMIHSBggrBgEFBQcBAQSBxTCBwjAxBggrBgEFBQcwAYYlaHR0cDov
# L3JlbW90ZS5jaXR5bmV0LmtoYXJrb3YudWEvb2NzcDBGBggrBgEFBQcwAoY6aHR0
# cDovL3JlbW90ZS5jaXR5bmV0LmtoYXJrb3YudWEvY2VydC9DaXR5bmV0Um9vdENB
# KDMpLmNydDBFBggrBgEFBQcwAoY5aHR0cDovL2Nhc2Vydi5jaXR5bmV0LmtoYXJr
# b3YudWEvcGtpL0NpdHluZXRSb290Q0EoMykuY3J0MA0GCSqGSIb3DQEBBQUAA4IB
# AQAYFWUIsQ1nVmBQEToNb2fb6kZAWxoePFXgs10of0/BadI5vZjx1JvRxVyILAjE
# UDhgvyGfvz4r/EEKSsjVbo0KVAEUFQkg/JbaT2aRMuGalnavIbre+6dt3b/KO3gc
# sPmsrMbB1oenO1P36lG3jIFwGE52bEsCVweWZo5aFcvzHIvKXiYIMkWQozJxRHo+
# SSKWnZeHYuyCAKAAiFtGWpFly8m2UCQlhIltVNvOcu9KcI7anByfiOCN9BYZ/ZmS
# /Sa3EMUz8JMg7KcBxEc3jn6jOoerTMowow3voEZvVnClF5WxGK4ECVD5K1jl5f1h
# AjyEYZvjq4zY6B9TOvHVHX/ZMIIH0jCCBrqgAwIBAgIKU5qRqwADAADohjANBgkq
# hkiG9w0BAQUFADBdMQswCQYDVQQGEwJVQTEPMA0GA1UEChMGS1AgR0lDMRwwGgYD
# VQQLExNJbmZvcm1hdGlvbiBTeXN0ZW1zMR8wHQYDVQQDExZDaXR5bmV0IElzc3Vp
# bmcgU3ViQ0ExMB4XDTE1MDQwMzEyMjY1M1oXDTIwMDQwMzEyMzY1M1owgZsxEjAQ
# BgoJkiaJk/IsZAEZFgJ1YTEXMBUGCgmSJomT8ixkARkWB2toYXJrb3YxFzAVBgoJ
# kiaJk/IsZAEZFgdjaXR5bmV0MQ4wDAYDVQQLEwVOZXREUDEoMCYGA1UECxMfSW5m
# b3JtYXRpb24gU2VjdXJpdHkgRGVwYXJ0bWVudDEZMBcGA1UEAxMQQWxleGV5IEl2
# YW5rbyBEQTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJ0SibsKjM+d
# Dt41UIthXo0mE4cY1Y0QV0qUQBWkM6Jugp9TrBUg+5gDB+QRF1S3g5DdK3uKFIlM
# qMW/loS8XXH87feYjJUJc31I+xFOHSLtRL1nA/CqvkHgJZt/kxD99xG/kS0Sc2hx
# C9HuQnAEl8MIBLT0bWUx3K5Fr7EC+NPZ6Vnx9eLDPGCrtiCf+7vwXuB927GkrNKP
# RkhTZfpSkmY1TrH9d3GYRXHsUtGPO32YOFHq39tqiUZ/1x1wefFhU7XQMuuwE668
# bQnR6aClxRnOQViBYdsjJXZVH0BER1edmZURnHWf6aXvynLjRlI4GWjHJvRDKqc1
# PKmk87z3C4ECAwEAAaOCBFMwggRPMD0GCSsGAQQBgjcVBwQwMC4GJisGAQQBgjcV
# CIK6/G6F8vsWhY2JNIXM7miB8oEPgUeu6BeG8Md/AgFkAgEFME8GA1UdJQRIMEYG
# CisGAQQBgjcKAwEGCisGAQQBgjcKAw0GCisGAQQBgjc9AQEGCisGAQQBgjcKAwwG
# CisGAQQBgjcKBQEGCCsGAQUFBwMDMA4GA1UdDwEB/wQEAwIGwDBhBgkrBgEEAYI3
# FQoEVDBSMAwGCisGAQQBgjcKAwEwDAYKKwYBBAGCNwoDDTAMBgorBgEEAYI3PQEB
# MAwGCisGAQQBgjcKAwwwDAYKKwYBBAGCNwoFATAKBggrBgEFBQcDAzAdBgNVHQ4E
# FgQUD9yKNfC6uveKefQZbXVsOH8dNbcwHwYDVR0jBBgwFoAUuapKg2DsRrEg9vKd
# H/UtczfOn2AwggEkBgNVHR8EggEbMIIBFzCCAROgggEPoIIBC4Y8aHR0cDovL3Jl
# bW90ZS5jaXR5bmV0LmtoYXJrb3YudWEvY3JsL0NpdHluZXRJc3N1aW5nU3ViQ0Eu
# Y3JshoHKbGRhcDovLy9DTj1DaXR5bmV0JTIwSXNzdWluZyUyMFN1YkNBMSxDTj1D
# QVNlcnYsQ049Q0RQLENOPVB1YmxpYyUyMEtleSUyMFNlcnZpY2VzLENOPVNlcnZp
# Y2VzLENOPUNvbmZpZ3VyYXRpb24sREM9Y2l0eW5ldCxEQz1raGFya292LERDPXVh
# P2NlcnRpZmljYXRlUmV2b2NhdGlvbkxpc3Q/YmFzZT9vYmplY3RDbGFzcz1jUkxE
# aXN0cmlidXRpb25Qb2ludDCCAagGCCsGAQUFBwEBBIIBmjCCAZYwMQYIKwYBBQUH
# MAGGJWh0dHA6Ly9yZW1vdGUuY2l0eW5ldC5raGFya292LnVhL29jc3AwTQYIKwYB
# BQUHMAKGQWh0dHA6Ly9yZW1vdGUuY2l0eW5ldC5raGFya292LnVhL2NlcnQvQ2l0
# eW5ldElzc3VpbmdTdWJDQTEoMykuY3J0MIHDBggrBgEFBQcwAoaBtmxkYXA6Ly8v
# Q049Q2l0eW5ldCUyMElzc3VpbmclMjBTdWJDQTEsQ049QUlBLENOPVB1YmxpYyUy
# MEtleSUyMFNlcnZpY2VzLENOPVNlcnZpY2VzLENOPUNvbmZpZ3VyYXRpb24sREM9
# Y2l0eW5ldCxEQz1raGFya292LERDPXVhP2NBQ2VydGlmaWNhdGU/YmFzZT9vYmpl
# Y3RDbGFzcz1jZXJ0aWZpY2F0aW9uQXV0aG9yaXR5MEwGCCsGAQUFBzAChkBodHRw
# Oi8vY2FzZXJ2LmNpdHluZXQua2hhcmtvdi51YS9wa2kvQ2l0eW5ldElzc3VpbmdT
# dWJDQTEoMykuY3J0MDYGA1UdEQQvMC2gKwYKKwYBBAGCNxQCA6AdDBtJdmFua29E
# QUBjaXR5bmV0LmtoYXJrb3YudWEwDQYJKoZIhvcNAQEFBQADggEBABk2+S2SBHqa
# kmosxIfjiN9Mw7VsX9SQRmHyarB+Etr7HbRiZdzOP1a8ehYiHAxrfrOqxvoU82YM
# g961rapjt6ngvXiAvFspiXPQA5JBIbz9Vo0F0zUIcPrnvmFf3vQZuHHzZudVkXuO
# v3Z4HgmwHmwBI/lXE8ClZgEG+0ZEPd0fgZg5uzrXZJetjwRu1onu9JO+Hif4KHst
# SRLCokFEF7cMguMKBf4gSk5B5UXoqhLFNKwaqgknF1HJglNS02+pMX0Uf+V2RuB4
# zVQZ18YB9G9PPL5/CGNyXohwLWdXEmqrzibKu1SYcFTwjORKN1WznpkttZ0GzgB/
# H7J9K7w0zPQxggIMMIICCAIBATBrMF0xCzAJBgNVBAYTAlVBMQ8wDQYDVQQKEwZL
# UCBHSUMxHDAaBgNVBAsTE0luZm9ybWF0aW9uIFN5c3RlbXMxHzAdBgNVBAMTFkNp
# dHluZXQgSXNzdWluZyBTdWJDQTECClOakasAAwAA6IYwCQYFKw4DAhoFAKB4MBgG
# CisGAQQBgjcCAQwxCjAIoAKAAKECgAAwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcC
# AQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwIwYJKoZIhvcNAQkEMRYE
# FIYaGhN4XEmHB7NKnX97QJG/hM/dMA0GCSqGSIb3DQEBAQUABIIBABAYUt5uEgKF
# fEt/qBWApAU62qEEAf3pDHaGWO8GwV3ADY7q48speF846DJT/i0/ANsGWdkQcZp+
# /2VuBbNfBVXLqPfurp7dQdFRSd9Ktjo15qb6K8SzH2X/PEcZqXVBnleY8pZZB0FI
# bdquM9klknH9rjHEzgMdy8ZEK8hjx5YaJJq//DdUtJWDS252uCbBg5PrREgZJrjr
# 1efEKOdXPe+MOQhHxH85zaDgnQjgjXUaMq64r5eNSRZVJaVNEnNQZD1rj37rxeDW
# wvFrlM2jzR5hSUrn6IR+CtyKr8d3NtreLoZLp8MDJHRglCSgLcu0PhG17cGi8bY/
# 5SW44zGVlNY=
# SIG # End signature block
